summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorMusikolo2020-07-07 22:27:54 -0500
committerMusikolo2020-07-07 22:27:54 -0500
commite800a5333725747bf35781122b426e0e34ae8580 (patch)
tree927c5a39778564b9221c4689f1a8083b192b1e44
parentaf01ba9a227bae602703eb66d6442d99ded1e90b (diff)
downloadaur-e800a5333725747bf35781122b426e0e34ae8580.tar.gz
Enforce current version of lombok-common. Some enhancements in install scripts.
-rw-r--r--.SRCINFO10
-rw-r--r--PKGBUILD8
-rw-r--r--lombok-eclipse.install16
-rw-r--r--lombok-sts.install16
4 files changed, 23 insertions, 27 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 73b0c7a0bed..b3af869b17e 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,9 @@
# Generated by mksrcinfo v8
-# Sun Jul 5 02:43:16 UTC 2020
+# Wed Jul 8 03:20:46 UTC 2020
pkgbase = lombok
pkgdesc = Project Lombok integrated with several Eclipse-based installations
pkgver = 1.18.12
- pkgrel = 2
+ pkgrel = 3
url = http://projectlombok.org
arch = any
license = MIT
@@ -19,18 +19,18 @@ pkgname = lombok-common
pkgname = lombok-eclipse-java
pkgdesc = Lombok integration with Eclipse IDE for Java Developers
install = lombok-eclipse.install
- depends = lombok-common
+ depends = lombok-common=1.18.12-3
depends = eclipse-java
pkgname = lombok-eclipse-jee
pkgdesc = Lombok integration with Eclipse IDE for Java EE Developers
install = lombok-eclipse.install
- depends = lombok-common
+ depends = lombok-common=1.18.12-3
depends = eclipse-jee
pkgname = lombok-spring-tool-suite
pkgdesc = Lombok integration with Spring Tool Suite (STS)
install = lombok-sts.install
- depends = lombok-common
+ depends = lombok-common=1.18.12-3
depends = spring-tool-suite
diff --git a/PKGBUILD b/PKGBUILD
index 6bd36e707e7..fd29d923c12 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -5,7 +5,7 @@
pkgbase="lombok"
pkgname=('lombok-common' 'lombok-eclipse-java' 'lombok-eclipse-jee' 'lombok-spring-tool-suite')
pkgver=1.18.12
-pkgrel=2
+pkgrel=3
pkgdesc="Project Lombok integrated with several Eclipse-based installations"
makedepends=('java-runtime')
arch=("any")
@@ -29,18 +29,18 @@ package_lombok-common() {
package_lombok-eclipse-java() {
pkgdesc="Lombok integration with Eclipse IDE for Java Developers"
- depends=('lombok-common' 'eclipse-java')
+ depends=(lombok-common=$pkgver-$pkgrel 'eclipse-java')
install=lombok-eclipse.install
}
package_lombok-eclipse-jee() {
pkgdesc="Lombok integration with Eclipse IDE for Java EE Developers"
- depends=('lombok-common' 'eclipse-jee')
+ depends=(lombok-common=$pkgver-$pkgrel 'eclipse-jee')
install=lombok-eclipse.install
}
package_lombok-spring-tool-suite() {
pkgdesc="Lombok integration with Spring Tool Suite (STS)"
- depends=('lombok-common' 'spring-tool-suite')
+ depends=(lombok-common=$pkgver-$pkgrel 'spring-tool-suite')
install=lombok-sts.install
}
diff --git a/lombok-eclipse.install b/lombok-eclipse.install
index f660a299406..3ac820a6917 100644
--- a/lombok-eclipse.install
+++ b/lombok-eclipse.install
@@ -1,19 +1,17 @@
# Colored makepkg-like functions by Det
-msg_blue() {
- printf "${blue}==>${bold} $1${all_off}\n"
-}
-
-note() {
- printf "${blue}==>${yellow} NOTE:${bold} $1${all_off}\n"
-}
all_off="$(tput sgr0)"
bold="${all_off}$(tput bold)"
blue="${bold}$(tput setaf 4)"
yellow="${bold}$(tput setaf 3)"
+note() {
+ printf "${blue}==>${yellow} NOTE:${bold} $1${all_off}\n"
+}
+
post_install() {
- java -jar /usr/lib/lombok-common/lombok.jar install /usr/lib/eclipse || exit 1
+ java -jar /usr/lib/lombok-common/lombok.jar install /usr/lib/eclipse/ && \
+ ln -sf /usr/lib/lombok-common/lombok.jar /usr/lib/eclipse/lombok.jar || exit 1
note "You must add lombok.jar or lombok-api.jar to the build path of each Lombok-dependent project."
}
@@ -22,6 +20,6 @@ post_upgrade() {
}
pre_remove() {
- java -jar /usr/lib/lombok-common/lombok.jar uninstall /usr/lib/eclipse || exit 1
+ java -jar /usr/lib/lombok-common/lombok.jar uninstall /usr/lib/eclipse/ || exit 1
}
diff --git a/lombok-sts.install b/lombok-sts.install
index c404e880189..e6563196941 100644
--- a/lombok-sts.install
+++ b/lombok-sts.install
@@ -1,19 +1,17 @@
# Colored makepkg-like functions by Det
-msg_blue() {
- printf "${blue}==>${bold} $1${all_off}\n"
-}
-
-note() {
- printf "${blue}==>${yellow} NOTE:${bold} $1${all_off}\n"
-}
all_off="$(tput sgr0)"
bold="${all_off}$(tput bold)"
blue="${bold}$(tput setaf 4)"
yellow="${bold}$(tput setaf 3)"
+note() {
+ printf "${blue}==>${yellow} NOTE:${bold} $1${all_off}\n"
+}
+
post_install() {
- java -jar /usr/lib/lombok-common/lombok.jar install /opt/sts-*/ || exit 1
+ java -jar /usr/lib/lombok-common/lombok.jar install /opt/sts-4.?.?.RELEASE/ && \
+ ln -sf /usr/lib/lombok-common/lombok.jar /opt/sts-4.?.?.RELEASE/lombok.jar || exit 1
note "You must add lombok.jar or lombok-api.jar to the build path of each Lombok-dependent project."
}
@@ -22,6 +20,6 @@ post_upgrade() {
}
pre_remove() {
- java -jar /usr/lib/lombok-common/lombok.jar uninstall /opt/sts-*/ || exit 1
+ java -jar /usr/lib/lombok-common/lombok.jar uninstall /opt/sts-4.?.?.RELEASE/ || exit 1
}